# ifndef SLICE_HASH_SET_H
# define SLICE_HASH_SET_H

#include "leveldb/slice.h"
#include "util/hash.h"
#include <unordered_set>
using namespace leveldb;
class SliceHash {
public:
    uint32_t operator()(const Slice &lhs) const {
        return Hash(lhs.data(),lhs.size(),0x1234);
    }
};

class SliceEq {
public:
    bool operator()(const Slice &lhs, const Slice &rhs) const {
        return lhs == rhs;
    }
};

using SliceHashSet = std::unordered_set<Slice,SliceHash,SliceEq>;

#endif